Revoke POS device
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/devices/{id}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/devices/{id}/revoke"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/devices/{id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": "<string>",
"content": {
"device": {
"id": "<string>",
"name": "<string>",
"device_type": "pos-terminal",
"external_device_id": "<string>",
"vendor": "<string>",
"model_number": "<string>",
"mac_address": "<string>",
"location_id": "<string>",
"location_name": "<string>",
"claimed_by": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"status": "unpaired",
"is_busy": true
}
}
}POS
Revoke POS device
Disables the specified POS device, revoking its access to the system. This action updates the device’s status to disabled, preventing it from performing any operations or connecting to the POS network.
POST
/
pos
/
devices
/
{id}
/
revoke
Revoke POS device
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
id of pos device
Body
application/json
Was this page helpful?
⌘I